uses synaptic to install samba which is not on the CD

Bug #840292 reported by Edward Karavakis
50
This bug affects 7 people
Affects Status Importance Assigned to Milestone
nautilus-share
Confirmed
Undecided
Unassigned
nautilus-share (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned

Bug Description

Folder sharing on Nautilus does not work on Ubuntu 11.10 beta as Synaptic is not installed by default.
How to reproduce it:
- right click on any folder and select 'Sharing options'.
- tick the 'Share this folder' option.
- Click 'Install Service'.
and you get the following error:
'Sharing service installation failed
Sharing service installation has failed. Would you like to retry the installation?'

description: updated
description: updated
Changed in nautilus (Ubuntu):
status: New → Confirmed
Changed in unity (Ubuntu):
status: New → Invalid
Omer Akram (om26er)
affects: unity (Ubuntu) → nautilus
Changed in nautilus:
status: Invalid → New
Tyler Morgan (digismack)
Changed in nautilus:
status: New → Confirmed
Revision history for this message
Thomas Mashos (tgm4883) wrote :

Looks like it's trying to open Synaptic on 11.10, which isn't installed by default. Installing Synaptic fixes this, but is obviously a workaround.

Revision history for this message
Sebastien Bacher (seb128) wrote :

nautilus-share should probably be ported to use aptd or dropped from the CD since without synaptic it's of no real use (it can't share without samba and if the user needs to install something it can as well install nautilus-share)

affects: nautilus (Ubuntu) → nautilus-share (Ubuntu)
Changed in nautilus-share (Ubuntu):
importance: Undecided → High
summary: - folder sharing does not work on ubuntu 11.10 beta
+ uses synaptic to install samba which is not on the CD
affects: nautilus → nautilus-share
Revision history for this message
Mitsuya Shibata (cosmos-door) wrote :

Tried to create package switching to apturl (not use aptd directly).
https://code.launchpad.net/~cosmos-door/ubuntu/oneiric/nautilus-share/fix-840292/

It works. But install step becomes awkward, because apturl couldn't
install multiple package at once.

I uploaded PPA too, now building. Could you anyone check it?
https://launchpad.net/~cosmos-door/+archive/nautilus-share

Revision history for this message
Chow Loong Jin (hyperair) wrote :

Hmm, they seem to be done in separate steps. This is a step down from Synaptic, but I'm sure apturl can be improved for this in the future.

Revision history for this message
Chow Loong Jin (hyperair) wrote :

I'd actually prefer to merge the synaptic and apturl patches together (and propagate this change to Debian, but there's no time for that). I'll take a closer look tomorrow.

Revision history for this message
Mitsuya Shibata (cosmos-door) wrote : Re: [Bug 840292] Re: uses synaptic to install samba which is not on the CD

@hyperair

2011/9/23 Chow Loong Jin <email address hidden>:
> I'd actually prefer to merge the synaptic and apturl patches together
> (and propagate this change to Debian, but there's no time for that).

I think that shouldn't merge synaptic/apturl patch by two reasons.

First, Ubuntu dropped synaptic from desktop task, but not in Debian.

Second, apturl isn't packaged in Debian yet.
http://packages.debian.org/search?keywords=apturl&searchon=names&suite=unstable&section=all

That is, apturl patch is ubuntu specific, can't propagate to Debian
at this time. I think it is better to separate Debian specific patch
and Ubuntu it for next(o+1) merge.

Thanks,

Revision history for this message
Chow Loong Jin (hyperair) wrote :

On 23/09/2011 08:21, Mitsuya Shibata wrote:
> @hyperair
>
> 2011/9/23 Chow Loong Jin <email address hidden>:
>> I'd actually prefer to merge the synaptic and apturl patches together
>> (and propagate this change to Debian, but there's no time for that).
>
> I think that shouldn't merge synaptic/apturl patch by two reasons.
>
> First, Ubuntu dropped synaptic from desktop task, but not in Debian.
>
> Second, apturl isn't packaged in Debian yet.
> http://packages.debian.org/search?keywords=apturl&searchon=names&suite=unstable&section=all
>
> That is, apturl patch is ubuntu specific, can't propagate to Debian
> at this time. I think it is better to separate Debian specific patch
> and Ubuntu it for next(o+1) merge.

I see, you have a point there. In that case I'd actually prefer to just
merge/amend the 02 patch in an -XubuntuY version (and keep it as Synaptic in the
-X version) so we don't bump it to Synaptic and then bump it back to apturl. It
just feels weird.

I noticed that aptdaemon is packaged in Debian. Does aptdaemon trigger its own
user interface for auto-installing stuff, or does the application using it have
to create its own UI?

--
Kind regards,
Loong Jin

Revision history for this message
Mitsuya Shibata (cosmos-door) wrote :

2011/9/23 Chow Loong Jin <email address hidden>:
> On 23/09/2011 08:21, Mitsuya Shibata wrote:
>> @hyperair
>>
>> 2011/9/23 Chow Loong Jin <email address hidden>:
>>> I'd actually prefer to merge the synaptic and apturl patches together
>>> (and propagate this change to Debian, but there's no time for that).
>>
>> I think that shouldn't merge synaptic/apturl patch by two reasons.
>>
>> First, Ubuntu dropped synaptic from desktop task, but not in Debian.
>>
>> Second, apturl isn't packaged in Debian yet.
>> http://packages.debian.org/search?keywords=apturl&searchon=names&suite=unstable&section=all
>>
>> That is, apturl patch is ubuntu specific, can't propagate to Debian
>> at this time. I think it is better to separate Debian specific patch
>> and Ubuntu it for next(o+1) merge.
>
> I see, you have a point there. In that case I'd actually prefer to just
> merge/amend the 02 patch in an -XubuntuY version (and keep it as Synaptic in the
> -X version) so we don't bump it to Synaptic and then bump it back to apturl. It
> just feels weird.

I agree with it feels weird.

I'm afraid if new version in debian (example 0.7.3-2), our merge work for
ubuntu (0.7.3-2ubuntu1) becomes more difficult with 02_ patch modified.

If it's needless fear (and I'm not familiar with packaging, there is high
possibility that I'm wrong), I have no disagree with merge 02_/03_ patches.

> I noticed that aptdaemon is packaged in Debian. Does aptdaemon trigger its own
> user interface for auto-installing stuff, or does the application using it have
> to create its own UI?

It seems that using aptdaemon is more nicely. But it needs to implement
progress UI with C (On the other hand, python bindings has UI widget).

Revision history for this message
Chow Loong Jin (hyperair) wrote :

On 23/09/2011 10:20, Mitsuya Shibata wrote:
> 2011/9/23 Chow Loong Jin <email address hidden>:
>> On 23/09/2011 08:21, Mitsuya Shibata wrote:
>>> @hyperair
>>>
>>> 2011/9/23 Chow Loong Jin <email address hidden>:
>>>> I'd actually prefer to merge the synaptic and apturl patches together
>>>> (and propagate this change to Debian, but there's no time for that).
>>>
>>> I think that shouldn't merge synaptic/apturl patch by two reasons.
>>>
>>> First, Ubuntu dropped synaptic from desktop task, but not in Debian.
>>>
>>> Second, apturl isn't packaged in Debian yet.
>>> http://packages.debian.org/search?keywords=apturl&searchon=names&suite=unstable&section=all
>>>
>>> That is, apturl patch is ubuntu specific, can't propagate to Debian
>>> at this time. I think it is better to separate Debian specific patch
>>> and Ubuntu it for next(o+1) merge.
>>
>> I see, you have a point there. In that case I'd actually prefer to just
>> merge/amend the 02 patch in an -XubuntuY version (and keep it as Synaptic in the
>> -X version) so we don't bump it to Synaptic and then bump it back to apturl. It
>> just feels weird.
>
> I agree with it feels weird.
>
> I'm afraid if new version in debian (example 0.7.3-2), our merge work for
> ubuntu (0.7.3-2ubuntu1) becomes more difficult with 02_ patch modified.

Hmm, yes, I hadn't considered that. I currently maintain the package in git in
Debian, but even git might have a bit of trouble merging the patch...

Maybe we could add both patches in parallel, and use the series.ubuntu in Source
format 3.0 (quilt) to get it to work out?

> If it's needless fear (and I'm not familiar with packaging, there is high
> possibility that I'm wrong), I have no disagree with merge 02_/03_ patches.
>
>> I noticed that aptdaemon is packaged in Debian. Does aptdaemon trigger its own
>> user interface for auto-installing stuff, or does the application using it have
>> to create its own UI?
>
> It seems that using aptdaemon is more nicely. But it needs to implement
> progress UI with C (On the other hand, python bindings has UI widget).
>

Ooh, it does? Maybe we could add a Python wrapper script thing that uses
python-aptdaemon to implement the stuff needed. Then we can sync this over.

--
Kind regards,
Loong Jin

Revision history for this message
Martin Pitt (pitti) wrote :

Chow Loong Jin [2011-09-23 3:53 -0000]:
> Ooh, it does? Maybe we could add a Python wrapper script thing that uses
> python-aptdaemon to implement the stuff needed. Then we can sync this over.

Yes, python-aptdaemon.gtk3widgets is rather easy to use (see the demo
script in the aptdaemon source). Alternatively you can also talk to
the PackageKit session D-BUS interface. aptdaemon implements this, so
it will work out of the box on other distributions as well (and thus
is mostly upstreamable except for the package name, which could be a
configure option). In Debian/Ubuntu we could then set the dependency
as "sessioninstaller | packagekit".

Revision history for this message
Chow Loong Jin (hyperair) wrote :

On 23/09/2011 14:32, Martin Pitt wrote:
> Chow Loong Jin [2011-09-23 3:53 -0000]:
>> Ooh, it does? Maybe we could add a Python wrapper script thing that uses
>> python-aptdaemon to implement the stuff needed. Then we can sync this over.
>
> Yes, python-aptdaemon.gtk3widgets is rather easy to use (see the demo
> script in the aptdaemon source). Alternatively you can also talk to
> the PackageKit session D-BUS interface. aptdaemon implements this, so
> it will work out of the box on other distributions as well (and thus
> is mostly upstreamable except for the package name, which could be a
> configure option). In Debian/Ubuntu we could then set the dependency
> as "sessioninstaller | packagekit".

Hmm, packagekit sounds like a good long term plan. Does it have a proper UI of
its own, or would I need to implement a UI for it?

--
Kind regards,
Loong Jin

Revision history for this message
Chow Loong Jin (hyperair) wrote :

On 24/09/2011 01:59, Chow Loong Jin wrote:
> On 23/09/2011 14:32, Martin Pitt wrote:
>> Chow Loong Jin [2011-09-23 3:53 -0000]:
>>> Ooh, it does? Maybe we could add a Python wrapper script thing that uses
>>> python-aptdaemon to implement the stuff needed. Then we can sync this over.
>>
>> Yes, python-aptdaemon.gtk3widgets is rather easy to use (see the demo
>> script in the aptdaemon source). Alternatively you can also talk to
>> the PackageKit session D-BUS interface. aptdaemon implements this, so
>> it will work out of the box on other distributions as well (and thus
>> is mostly upstreamable except for the package name, which could be a
>> configure option). In Debian/Ubuntu we could then set the dependency
>> as "sessioninstaller | packagekit".
>
> Hmm, packagekit sounds like a good long term plan. Does it have a proper UI of
> its own, or would I need to implement a UI for it?
>

For the time being, though, I think apturl will suffice at least for the Oneiric
cycle, so please upload the fix.

The branch seems to have patches already applied, and even checked in .pc files,
which I'm not sure is supposed to be there. Just a head's up, for anyone sponsoring.

  subscribe ubuntu-sponsors

--
Kind regards,
Loong Jin

Revision history for this message
Mitsuya Shibata (cosmos-door) wrote :

@hyperair, @pitti

Thank you for advices!

I create another branch to use session installer. Could you review it?
https://code.launchpad.net/~cosmos-door/ubuntu/oneiric/nautilus-share/fix-840292-packagekit

* Modified 02_install_missing_samba.patch, not new patch.
* Add dependency for "sessioninstaller | packagekit" and python.
* Add install python script smb-install based on sessioninstaller's
  test script and debian/install.
* Install step become one step for two packages.
* However install packages name is hard coreded.

If it is ok, I think that can take it on Debian.

Revision history for this message
Martin Pitt (pitti) wrote :

Chow Loong Jin [2011-09-23 17:59 -0000]:
> Hmm, packagekit sounds like a good long term plan. Does it have a proper UI of
> its own

Yes, on the session bus both PackageKit itself and sessioninstaller
provide all necessary UI, it's rather easy to use.

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Revision history for this message
Chow Loong Jin (hyperair) wrote :

As I discussed with seb128 on IRC earlier, the apturl diff looks more promising than the packagekit one given the current, frozen state of the archive, so sponsors, please take that one into oneiric for the time being. I'll look into getting the PackageKit one into Debian or even upstream later on.

Revision history for this message
Martin Pitt (pitti) wrote :

As for http://bazaar.launchpad.net/~cosmos-door/ubuntu/oneiric/nautilus-share/fix-840292-packagekit/revision/13: Adding the python dependency is correct, but please drop ${python:Depends} and --with python2 again, as this package doesn't ship Python modules.

Changed in nautilus-share (Ubuntu):
status: Confirmed → Triaged
tags: added: regression-release
Revision history for this message
Martin Pitt (pitti) wrote :

Also, I don't think it's that much easier to spawn a separate python process just for doing a d-bus call. That can be done using gdbus without a lot of extra effort. (in case Chow wants to bring this into Debian).

Revision history for this message
Martin Pitt (pitti) wrote :

So I'll sponsor the apturl one for now, as this is more appropriate for this time in the release process. But it's more like a workaround, so the real fix should indeed use the PK D-BUS API.

Thank you!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus-share - 0.7.3-1ubuntu1

---------------
nautilus-share (0.7.3-1ubuntu1) oneiric; urgency=low

  * Add debian/patches/03_use_apturl.patch
    + Transition synaptic to apturl (LP: #840292)
 -- Mitsuya Shibata <email address hidden> Tue, 04 Oct 2011 10:34:37 +0200

Changed in nautilus-share (Ubuntu Oneiric):
status: Triaged → Fix Released
Revision history for this message
Sebastian Heinlein (glatzor) wrote :

The session D-Bus interface of PackageKit is provided by gnome-packagekit and not packagekit - alternatively session-installer can be used.

Revision history for this message
Chow Loong Jin (hyperair) wrote :

On 04/10/2011 16:17, Martin Pitt wrote:
> Also, I don't think it's that much easier to spawn a separate python
> process just for doing a d-bus call. That can be done using gdbus
> without a lot of extra effort. (in case Chow wants to bring this into
> Debian).
>

Thanks, I'll look into this after the Oneiric cycle.

--
Kind regards,
Loong Jin

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers